rte_table_action_ipv6_header(3)

NAME
rte_table_action_ipv6_header

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

struct rte_ipv6_addr sa
struct rte_ipv6_addr da
uint32_t flow_label
uint8_t dscp
uint8_t hop_limit

Detailed Description

Pre-computed IPv6 header fields for encapsulation action.

Definition at line 422 of file rte_table_action.h.

Field Documentation

  struct rte_ipv6_addr sa
Source address.

Definition at line 423 of file rte_table_action.h.

  struct rte_ipv6_addr da
Destination address.

Definition at line 424 of file rte_table_action.h.

  uint32_t flow_label
Flow label.

Definition at line 425 of file rte_table_action.h.

  uint8_t dscp
DiffServ Code Point (DSCP).

Definition at line 426 of file rte_table_action.h.

  uint8_t hop_limit
Hop Limit (HL).

Definition at line 427 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.